<ion-content class="menu-content noselect">
  <ion-list class="menu-list" lines="none" inset="false">
    <ion-list-header class="list-header">
      {{ "SIDEBAR.TITLE" | translate }}
    </ion-list-header>
  </ion-list>

  <ion-item class="settings-item" lines="none">
    <ion-select
      class="device-selector"
      [class.invalid_device]="!isSelectedDeviceValid"
      label="{{ 'SIDEBAR.DEVICES.INPUT_DEVICE' | translate }}"
      labelPlacement="stacked"
      interface="popover"
      fill="undefined"
      placeholder="{{
        selectedDevice?.label || ('SIDEBAR.DEVICES.NONE_SELECTED' | translate)
      }}"
      [value]="selectedDevice"
      (ionChange)="onDeviceChange($event)"
    >
      <ion-select-option
        class="device-option"
        [value]="availableDevice"
        *ngFor="let availableDevice of availableDevices"
        >{{ availableDevice.label }}</ion-select-option
      >
    </ion-select>
  </ion-item>

  <ion-item class="settings-item" lines="none">
    <ion-checkbox
      class="checkbox"
      [checked]="useMonoAudio"
      (ionChange)="onUseMonoAudioChange($event)"
    >
      <ion-text class="checkbox-label">
        {{ "SIDEBAR.USE_MONO_AUDIO" | translate }}
      </ion-text>
    </ion-checkbox>
  </ion-item>

  <div class="spacer">&nbsp;</div>

  <ion-item id="backend-input" class="settings-item" lines="none">
    <ion-input
      class="backend-input"
      label="{{ 'SIDEBAR.BACKEND_API' | translate }}"
      labelPlacement="floating"
      [value]="selectedBackend?.backendName"
      (ionFocus)="onBackendDropdown(true)"
      (ionBlur)="onBackendDropdown(false)"
      (ionInput)="onBackendInput($event)"
    ></ion-input>
    <ion-icon
      class="dropdown-icon"
      slot="end"
      name="caret-down-outline"
    ></ion-icon>
  </ion-item>
  <ion-text
    class="settings-error-text"
    *ngIf="!isMqttConnectionHealthy && !showSecretInput"
  >
    {{ "SIDEBAR.BACKEND_INVALID" | translate }}
  </ion-text>

  <ion-item
    id="backend-secret-input"
    *ngIf="showSecretInput"
    class="settings-item"
    lines="none"
  >
    <ion-input
      color="success"
      class="backend-input"
      label="{{ 'SIDEBAR.BACKEND_SECRET' | translate }}"
      labelPlacement="floating"
      type="password"
      [value]="secretInputValue"
      (ionInput)="onSecretInput($event)"
      (keydown)="onSecretChange($event)"
    ></ion-input>
  </ion-item>
  <ion-item *ngIf="showSecretInput" class="settings-item" lines="none">
    <ion-button
      class="save-button"
      color="success"
      fill="outline"
      size="default"
      (click)="onBackendSave()"
    >
      {{ "SIDEBAR.SAVE" | translate }}
    </ion-button>
  </ion-item>

  <div class="spacer">&nbsp;</div>

  <ion-item class="navigation-item" lines="none" (click)="onAboutClick()">
    <ion-icon
      class="menu-icon"
      size="small"
      name="information-circle-outline"
    ></ion-icon
    >&nbsp;
    {{ "SIDEBAR.ABOUT" | translate }}
  </ion-item>
</ion-content>

<!-- DROPDOWN MENU -->
<div
  id="backend-autocomplete-menu"
  class="autocomplete-menu"
  *ngIf="backendDropdownOpen"
>
  <ion-item
    class="autocomplete-entry"
    lines="none"
    *ngFor="let backendObj of filteredBackendObjs"
    (click)="onBackendSelect ? onBackendSelect(backendObj) : undefined"
  >
    <ion-text>{{ backendObj?.backendName }}</ion-text>
    <ion-icon
      slot="end"
      size="small"
      color="warning"
      name="key-outline"
      *ngIf="!backendObj?.isPublic"
    ></ion-icon>
  </ion-item>
  <ion-item
    class="no-records-entry"
    lines="none"
    *ngIf="!filteredBackendObjs?.length"
  >
    <ion-text>{{ "SIDEBAR.NO_RECORDS" | translate }}</ion-text>
  </ion-item>
</div>
